#include<stdio.h>
#include<math.h>
#include<ctype.h>
#include<string.h>
#include<stdlib.h>
#include<iostream>
using namespace std;
main()
{
	int n;
	cin>>n;
	double a[n],p[n];
	//unos
	for(int i=0;i<n;i++)
	{
		cin>>a[i];
		cin>>p[i];
	}
	//sortirao niz
	for(int i=0;i<n-1;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			if(p[j]<p[i])
			{
				double temp=p[j];
				p[j]=p[i];
				p[i]=temp;
				temp=a[i];
				a[i]=a[j];
				a[j]=temp;
			}
		}
	}
	//problematika
	double pare[n];
	for(int i=0;i<n;i++)
	{
		double zbir=0;
		for(int j=i;j<n;j++)
		{
			zbir+=(p[i]/100*a[j]);
		}
		pare[i]=zbir;
	}
	
	//zavrsnica
	double max=pare[0];
	for(int i=1;i<n;i++)
	{
		if(pare[i]>max)
		{
			max=pare[i];	
		}
	}
	printf("%.4g",max);
	
}